Subject: Re: [Qirg] arch I-D: pull request & comments

From: Wojciech Kozlowski <[email-masked]>
Date: Wed, 30 Sep 2020 00:23:36 +0000

See in-line marked with [[WK]]

Latest version of draft at: https://datatracker.ietf.org/doc/draft-irtf-qirg-principles/ 

-----Original Message-----
From: Rodney Van Meter <[email-masked]> 
Sent: 15 July 2020 01:03
To: Wojciech Kozlowski <[email-masked]>
Cc: Rodney Van Meter <[email-masked]>; [email-masked]
Subject: Re: [Qirg] arch I-D: pull request & comments

Rodney Van Meter
Professor, Faculty of Environment and Information Studies Keio University, Japan [email-masked]

(trimmed to just open questions)

> On Jul 13, 2020, at 6:33, Wojciech Kozlowski <[email-masked]> wrote:
> 
>> 6. "shortest path" is undefined here.  Again, work of ours is
>> relevant: 
>> https://urldefense.proofpoint.com/v2/url?u=https-3A__arxiv.org_abs_12
>> 06.5655&d=DwIGaQ&c=XYzUhXBD2cD-CornpT4QE19xOJBbRy-TBPLK0X9U2o8&r=xRe3
>> k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m=DAxWywV9qbtvoGKGw6BAJ7W2sUe
>> FaKT0byF8SKqSzWE&s=5CZHrVvCzrqIE5WlMt53hX0WAA0H7gTARE-g4zWoR3Y&e=
>> 
>> 
> 
> In what sense is "shortest path" undefined. Could you elaborate?

OSPF deliberately treats link cost as a unitless scalar, allowing any network operator to use the cost to establish policy as they choose. However, a common goal is minimization of the workload of the entire network, so that resources are used efficiently. This can be achieved, at least approximately, by setting the link cost relative to the bandwidth — using a high-bandwidth link is “cheaper”.  (Note that even though we call it “shortest path”, it’s not shortest in distance or even in the latency you would see on an otherwise idle network, though it may come close to minimizing latency on a heavily loaded network.)

Without some discussion, we have no concept of what “shortest” or “cheapest” means in a quantum network.  We defined a goal of the network to be maximizing the throughhput, measured in Bell pairs per second *of a particular fidelity*, then chose a meaning for the link metric (seconds per Bell pair of a particular fidelity) and evaluated how good a job simple summation of per-hop metrics does in maximizing that E2E throughput.  (Pretty good, as it turns out.)

So of course SPF continues to function as an abstract mathematical thing, but operationally what are the goals of _using_ SPF and how do we achieve it?

Maybe that’s a separate or secondary document in terms of analysis, but I think it’s an open question that needs to be addressed.

[[WK]] Added a brief mention that "least-cost" might mean something else in a quantum network + reference

> 
>> 7. In discussion of rule-based operation, again, work of ours is
>> relevant: 
>> https://urldefense.proofpoint.com/v2/url?u=https-3A__arxiv.org_abs_19
>> 04.08605&d=DwIGaQ&c=XYzUhXBD2cD-CornpT4QE19xOJBbRy-TBPLK0X9U2o8&r=xRe
>> 3k8UnFVGCjuC7RWUARpslGfYlRaP7D3dVZXHUEVc&m=DAxWywV9qbtvoGKGw6BAJ7W2sU
>> eFaKT0byF8SKqSzWE&s=RZE6ErezqKuvt7bPhzr6A7xV3ilHq0krX0EcYpQyadA&e=
>> 
>> (I _know_ it sounds like I'm citing "cite me" a lot, but this _is_ 
>> the field we have been working for over a decade to establish, and 
>> we've covered a lot of ground in that time, and my students and 
>> postdocs deserve some recognition for the work they have done that 
>> is, or should be, influencing these documents and designs.)
>> 
> 
> Not sure where to insert the ref though. If you could point out a 
> location or submit a PR that would be great.

Mmm, back when I wrote this, I had somewhere in mind, but that’s long gone from my mind now…

[[WK]] If anything comes up, fell free to just submit a PR

> 
>> 8. The use of "control plane" and "data plane" here might differ a 
>> bit from standard networking use.  "Control plane" usual refers to 
>> routing and management traffic, path setup for MPLS, etc. but here it 
>> refers to soft real-time messages that are part of the entangled 
>> state creation process, essentially the equivalent of packet headers 
>> and SYNs and ACKs in TCP/IP.  I'd argue that's closer to data plane 
>> than control plane.
> 
> I 100% agree with this point, but I'm not sure if this point needs 
> clarifying in this doc. We actually do not define a control/data plane split in this doc.

“control” or “control information” and “the two planes” are used a *lot* in this document, but I’m worried that the usage here differs enough from e.g. SDF control plane or routing and management traffic that it will confuse people. You wouldn’t call a TCP ACK “control plane information”, so is it right to call entanglement success/failure messages “control plane”?  Is there another term we can use?  I don’t have a good suggestion this morning…

[[WK]] I have now added a new section (5.3.1) to clarify this. 

>> 
>> 
>> * overall, the flow and structure are much better than -00. I  
>> particularly like 6.2 now, though I'm not sure it's finished yet.
>> * additional refs:
>>  - Dur group (Pirker, Zwerger)
>>  - (more stuff from us, e.g. my book?)
>>  - Kimble
>>  - Mark Wilde
>>  - Jones on links?
>>  - all-optical?
>>  - triangle inequality for routing
>>  - Riefel
>>  - Simon on QEC
>>  - Dur review of purification
>>  - distributed algorithm zoo
>>  - something from Pan?
>>  - Broadbent
>>  - Gottesman
>>  - Wootters, Park, Ortigoso on no-cloning

[[WK]] Added a bunch of these 

> 
> 
> References are still TODO. Hopefully the last TODO.
> 
>> * needs a little wordsmithing here and there at some point
> 
> Generally addressed through all the fixes since this e-mail.
> 
>> * security needs work
> 
> Language slightly improved, but let me know if you would like to see 
> some more substantial changes.
> 

Will check.

> 
>> * describe time-skewed Bell pairs
> 
> I don't know what this is. Could you elaborate?
> 

Some people (e.g. Bill Munro — Bill, are you lurking on this mailing list?) worry about the philosophical implications of *when* the two halves of the Bell pair arrive at the destination.  If the network is building a Bell pair between you and me, and my half arrives 10msec before yours, and I measure my half before yours even arrives, did we ever really have entanglement between the two of us?  Mostly it’s a philosophical point, I think, but it can affect loophole proofs.

[[WK]] So, as far as I can tell, these are already mentioned at the end of 5.3.3, just not called "time-skewed".

Keep this one on your list for later; I’m not ready to discard it but don’t think it needs to be done right away.  May decide to discard att some point, though.

Oops, there was a question about all-optical here that I deleted in editing…

Keep “review for whether all-optical is excluded by the language” on your TODO list before we finalize things.

[[WK]] Haven't added anything on all-optical, but I would need help on this if we are to include something on this subject

This email is written before I’ve completely read the -04 draft, so I may have more comments by the time of the meeting.

—Rod